darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Commands

# Documentation

data CommandControl

Constructors

CommandData DarcsCommand |
HiddenCommand DarcsCommand |
GroupName String |

data DarcsCommand

Constructors

DarcsCommand |

Fields

commandProgramName :: String
commandName :: String
commandHelp :: String
commandDescription :: String
commandExtraArgs :: Int
commandExtraArgHelp :: [String]
commandCommand :: [DarcsFlag] -> [String] -> IO ()
commandPrereq :: [DarcsFlag] -> IO (Either String ())
commandGetArgPossibilities :: IO [String]
commandArgdefaults :: [DarcsFlag] -> AbsolutePath -> [String] -> IO [String]
commandBasicOptions :: [DarcsOption]
commandAdvancedOptions :: [DarcsOption]

SuperCommand |

Fields

commandProgramName :: String
commandName :: String
commandHelp :: String
commandDescription :: String
commandPrereq :: [DarcsFlag] -> IO (Either String ())
commandSubCommands :: [CommandControl]

commandAlias :: String -> Maybe DarcsCommand -> DarcsCommand -> DarcsCommand

commandStub :: String -> String -> String -> DarcsCommand -> DarcsCommand

commandOptions :: AbsolutePath -> DarcsCommand -> ([OptDescr DarcsFlag], [OptDescr DarcsFlag])

commandAlloptions :: DarcsCommand -> ([DarcsOption], [DarcsOption])

disambiguateCommands :: [CommandControl] -> String -> [String] -> Either String (CommandArgs, [String])

data CommandArgs

Constructors

CommandOnly DarcsCommand |
SuperCommandOnly DarcsCommand |
SuperCommandSub DarcsCommand DarcsCommand |

getCommandHelp :: Maybe DarcsCommand -> DarcsCommand -> String

getCommandMiniHelp :: Maybe DarcsCommand -> DarcsCommand -> String

getSubcommands :: DarcsCommand -> [CommandControl]

usage :: [CommandControl] -> String

usageHelper :: [CommandControl] -> String

subusage :: DarcsCommand -> String

chompNewline :: String -> String

extractCommands :: [CommandControl] -> [DarcsCommand]

superName :: Maybe DarcsCommand -> String

nodefaults :: [DarcsFlag] -> AbsolutePath -> [String] -> IO [String]

putInfo :: [DarcsFlag] -> Doc -> IO ()

putVerbose :: [DarcsFlag] -> Doc -> IO ()

putWarning :: [DarcsFlag] -> Doc -> IO ()

abortRun :: [DarcsFlag] -> Doc -> IO ()